package com.ruoyi.powerdistribution.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.powerdistribution.domain.PdmReportAppointmentDay;
import com.ruoyi.powerdistribution.domain.PdmReportIllegalDay;
import com.ruoyi.powerdistribution.domain.PdmReportPlanDay;
import com.ruoyi.powerdistribution.domain.PdmReportPlanNextDay;
import com.ruoyi.powerdistribution.domain.vo.ReportDayVO;
import com.ruoyi.powerdistribution.service.IPdmReportAppointmentDayService;
import com.ruoyi.powerdistribution.service.IPdmReportIllegalDayService;
import com.ruoyi.powerdistribution.service.IPdmReportPlanDayService;
import com.ruoyi.powerdistribution.service.IPdmReportPlanNextDayService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@AllArgsConstructor
@RequestMapping("/power/report")
//@Api(value = "powerReport", tags = "报表查询")
public class ReportController extends BaseController {

    @Autowired
    private IPdmReportAppointmentDayService pdmReportAppointmentDayService;
    @Autowired
    private IPdmReportIllegalDayService pdmReportIllegalDayService;
    @Autowired
    private IPdmReportPlanDayService pdmReportPlanDayService;
    @Autowired
    private IPdmReportPlanNextDayService pdmReportPlanNextDayService;

    /**
     * 日报查询
     */
    @ApiOperation(value = "日报查询", notes = "日报查询")
    @GetMapping("/day")
    public ReportDayVO day(String reportDate)
    {
        PdmReportIllegalDay pdmReportIllegalDay = new PdmReportIllegalDay();
        pdmReportIllegalDay.setReportDate(reportDate);
        List<PdmReportIllegalDay> illegalList = pdmReportIllegalDayService.selectPdmReportIllegalDayList(pdmReportIllegalDay);
        PdmReportAppointmentDay pdmReportAppointmentDay = new PdmReportAppointmentDay();
        pdmReportAppointmentDay.setReportDate(reportDate);
        List<PdmReportAppointmentDay> appointmentlist = pdmReportAppointmentDayService.selectPdmReportAppointmentDayList(pdmReportAppointmentDay);
        PdmReportPlanDay pdmReportPlanDay = new PdmReportPlanDay();
        pdmReportPlanDay.setReportDate(reportDate);
        List<PdmReportPlanDay> planlist = pdmReportPlanDayService.selectPdmReportPlanDayList(pdmReportPlanDay);
        PdmReportPlanNextDay nextDay = new PdmReportPlanNextDay();
        nextDay.setReportDate(reportDate);
        List<PdmReportPlanNextDay> nextDayList = pdmReportPlanNextDayService.selectPdmReportPlanNextDayList(nextDay);

        ReportDayVO vo = new ReportDayVO();
        vo.setAppointmentList(appointmentlist);
        vo.setIllegalList(illegalList);
        vo.setPlanList(planlist);
        vo.setNextDayList(nextDayList);
        return vo;
    }
}
